### Method

# Gio Application set_option_context_summary

since: 2.56

#### Declaration

    void
    g_application_set_option_context_summary (
      GApplication* application,
      const gchar* summary
    )

#### Description

Adds a summary to the `application` option context.

See `g_option_context_set_summary()` for more information.

Available since: 2.56

#### Parameters

`summary`

  Type: `const gchar*`

  A string to be shown in `--help` output before the list of options, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.